package cn.com.countrygarden.bi.main.model.dmn;

/**
 * @program: lingshi
 * @description:
 * @author: bug大神
 * @create: 2024-07-24 16:45
 **/


import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.sql.Timestamp;
@Table(name = "organization")
public class Organization {
    private static final long serialVersionUID = -36167348116758463L;
    @Id
    @Column(name = "id")
    private Integer id;
    @Column(name = "agency_name")
    private String agencyName;
    @Column(name = "create_time")
    private Timestamp createTime;
    @Column(name = "defalg")
    private String defalg;
    @Column(name = "update_time")
    private Timestamp updateTime;

    public Integer getId() {
        return id;
    }

    public Organization(Integer id, String agencyName, Timestamp createTime, String defalg, Timestamp updateTime) {
        this.id = id;
        this.agencyName = agencyName;
        this.createTime = createTime;
        this.defalg = defalg;
        this.updateTime = updateTime;
    }

    public Organization() {
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAgencyName() {
        return agencyName;
    }

    public void setAgencyName(String agencyName) {
        this.agencyName = agencyName;
    }

    public Timestamp getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Timestamp createTime) {
        this.createTime = createTime;
    }

    public String getDefalg() {
        return defalg;
    }

    public void setDefalg(String defalg) {
        this.defalg = defalg;
    }

    public Timestamp getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Timestamp updateTime) {
        this.updateTime = updateTime;
    }
}

